> ## Documentation Index
> Fetch the complete documentation index at: https://docs.opal.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get member groups

> Gets the list of groups that are nested directly in the group (its member groups).



## OpenAPI

````yaml https://app.opal.dev/openapi.yaml get /groups/{group_id}/groups
openapi: 3.1.0
info:
  contact:
    email: hello@opal.dev
    name: Opal Team
    url: https://www.opal.dev/
  description: >-
    The Opal API is a RESTful API that allows you to interact with the Opal
    Security platform programmatically.
  title: Opal API
  version: '1.0'
servers:
  - description: Production
    url: https://api.opal.dev/v1
security: []
tags:
  - name: access-rules
    description: Operations related to access rules
  - name: agent-activity
    description: Operations related to agent activity telemetry
  - name: apps
    description: Operations related to apps
  - name: bundles
    description: Operations related to bundles
  - name: campaigns
    description: Operations related to access review campaigns
  - name: configuration-templates
    description: Operations related to configuration templates
  - name: delegations
    description: Operations related to request reviewer delegations
  - name: event-streams
    description: Operations related to event streaming connections
  - name: events
    description: Operations related to events
  - name: groups
    description: Operations related to groups
  - name: group-bindings
    description: Operations related to group bindings
  - name: idp-group-mappings
    description: Operations related to IDP group mappings
  - name: message-channels
    description: Operations related to message channels
  - name: non-human-identities
    description: Operations related to non-human identities
  - name: on-call-schedules
    description: Operations related to on-call schedules
  - name: opal-queries
    description: Operations related to OpalQuery
  - name: opal-scripts
    description: Operations related to OpalScripts
  - name: owners
    description: Operations related to owners
  - name: requests
    description: Operations related to requests
  - name: resources
    description: Operations related to resources
  - name: role-assignments
    description: >-
      Operations related to role assignments (general grants between an entity
      and a principal)
  - name: paladin
    description: Operations related to Paladin
  - name: service-users
    description: Operations related to service users (non-human identities owned by a team)
  - name: sessions
    description: Operations related to sessions
  - name: tags
    description: Operations related to tags
  - name: tokens
    description: Operations related to API tokens
  - name: uars
    description: Operations related to UARs. Deprecated in favor of the `campaigns` API.
  - name: users
    description: Operations related to users
paths:
  /groups/{group_id}/groups:
    get:
      tags:
        - groups
      summary: Get member groups
      description: >-
        Gets the list of groups that are nested directly in the group (its
        member groups).
      operationId: get_group_groups
      parameters:
        - description: The ID of the group.
          example: 4baf8423-db0a-4037-a4cf-f79c60cb67a5
          explode: false
          in: path
          name: group_id
          required: true
          schema:
            type: string
            format: uuid
          style: simple
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GroupMemberGroupList'
          description: The groups nested directly in the group.
        '403':
          description: The caller is not authorized to view this group.
        '404':
          description: The group was not found.
      security:
        - BearerAuth: []
components:
  schemas:
    GroupMemberGroupList:
      example:
        member_groups:
          - member_group_id: 7870617d-e72a-47f5-a84c-693817ab4567
          - member_group_id: 50333e67-73ce-47ab-b049-d8abcd45f7a1
      properties:
        member_groups:
          items:
            $ref: '#/components/schemas/GroupMemberGroup'
          type: array
      type: object
      required:
        - member_groups
    GroupMemberGroup:
      description: >-
        # GroupMemberGroup Object

        ### Description

        The `GroupMemberGroup` object is used to represent a group that is
        nested directly in another group.
      example:
        member_group_id: f454d283-ca87-4a8a-bdbb-df212eca5353
      properties:
        member_group_id:
          description: The ID of the member group.
          example: f454d283-ca87-4a8a-bdbb-df212eca5353
          format: uuid
          type: string
      required:
        - member_group_id
      type: object
  securitySchemes:
    BearerAuth:
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.